Subject: Re: [RFC/PATCH] powerpc: Move CPM command handling into the cpm drivers

From: Vitaly Bordug <[email-masked]>
Date: Sun, 25 Nov 2007 00:47:08 +0300

On Sat, 24 Nov 2007 18:53:34 +0100
Jochen Friedrich wrote:

> Hi Vitaly,
> 
> >>> +       printk(KERN_ERR "%s(): Not able to issue CPM command\n",
> >>> +               __FUNCTION__);
> >>> +       return -EIO;  
> >>>       
> >> Do these need to be protected with a spin lock?
> >>     
> > Even that might be not enough - we may have simultaneous call of
> > this func in non-smp case... I was thinking of some kind of
> > refcount, so one that is going to issue CPM command, must do say
> > pq_cpmp_get() and another driver won't be able to mangle with cpcr
> > while it's not done with previous request.
> >
> > Yet I am not telling it was better the way it used to be - this
> > approach looks okay but needs some efforts to defend against
> > deadlocks while we are at it
> 
> Wouldn't spin_lock_irqsave() prevent a deadlock?
> 
yes, I believe it is OK for now.

> Thanks,
> Jochen

-- 
Sincerely, Vitaly